Package org.drinkless.tdlib

# Class TdApi.InputBusinessStartPage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputBusinessStartPage

Enclosing class:
  `TdApi`

public static class TdApi.InputBusinessStartPage extends TdApi.Object
Describes settings for a business account start page to set.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `message`
  Message text of the start page; 0-getOption("business_start_page_message_length_max") characters.
  `TdApi.InputFile`
  `sticker`
  Greeting sticker of the start page; pass null if none.
  `String`
  `title`
  Title text of the start page; 0-getOption("business_start_page_title_length_max") characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputBusinessStartPage()`
  Describes settings for a business account start page to set.
  `InputBusinessStartPage(String title, String message, TdApi.InputFile sticker)`
  Describes settings for a business account start page to set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Title text of the start page; 0-getOption("business_start_page_title_length_max") characters.

  - ### message

    public String message
    Message text of the start page; 0-getOption("business_start_page_message_length_max") characters.

  - ### sticker

    public TdApi.InputFile sticker
    Greeting sticker of the start page; pass null if none. The sticker must belong to a sticker set and must not be a custom emoji.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputBusinessStartPage

    public InputBusinessStartPage()
    Describes settings for a business account start page to set.

  - ### InputBusinessStartPage

    public InputBusinessStartPage(String title, String message, TdApi.InputFile sticker)
    Describes settings for a business account start page to set.
    Parameters:
      `title` - Title text of the start page; 0-getOption("business_start_page_title_length_max") characters.
      `message` - Message text of the start page; 0-getOption("business_start_page_message_length_max") characters.
      `sticker` - Greeting sticker of the start page; pass null if none. The sticker must belong to a sticker set and must not be a custom emoji.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR